# Interface methods for submodule: DataObject
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ObjectProxy as _ObjectProxy


# Interface methods for class: DataObject
class DataObjectProxy(_ObjectProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def DisconnectPipeline(self) -> None:
		""""""
		...

	def GetSource(self):
		""""""
		...

	def GetSourceOutputName(self) -> str:
		""""""
		...

	def GetSourceOutputIndex(self) -> int:
		""""""
		...

	def UpdateSource(self) -> None:
		""""""
		...

	def Initialize(self) -> None:
		""""""
		...

	def SetReleaseDataFlag(self, flag: bool) -> None:
		""""""
		...

	def GetReleaseDataFlag(self) -> bool:
		""""""
		...

	def ReleaseDataFlagOn(self) -> None:
		""""""
		...

	def ReleaseDataFlagOff(self) -> None:
		""""""
		...

	@staticmethod
	def SetGlobalReleaseDataFlag(val: bool) -> None:
		""""""
		...

	@staticmethod
	def GetGlobalReleaseDataFlag() -> bool:
		""""""
		...

	@staticmethod
	def GlobalReleaseDataFlagOn() -> None:
		""""""
		...

	@staticmethod
	def GlobalReleaseDataFlagOff() -> None:
		""""""
		...

	def ReleaseData(self) -> None:
		""""""
		...

	def ShouldIReleaseData(self) -> bool:
		""""""
		...

	def GetDataReleased(self) -> bool:
		""""""
		...

	def Update(self) -> None:
		""""""
		...

	def UpdateOutputInformation(self) -> None:
		""""""
		...

	def PropagateRequestedRegion(self) -> None:
		""""""
		...

	def UpdateOutputData(self) -> None:
		""""""
		...

	def ResetPipeline(self) -> None:
		""""""
		...

	def SetPipelineMTime(self, time: int) -> None:
		""""""
		...

	def GetPipelineMTime(self) -> int:
		""""""
		...

	def GetUpdateMTime(self) -> int:
		""""""
		...

	def SetRealTimeStamp(self, _arg) -> None:
		""""""
		...

	def GetRealTimeStamp(self):
		""""""
		...

	def PrepareForNewData(self) -> None:
		""""""
		...

	def DataHasBeenGenerated(self) -> None:
		""""""
		...

	def SetRequestedRegionToLargestPossibleRegion(self) -> None:
		""""""
		...

	def RequestedRegionIsOutsideOfTheBufferedRegion(self) -> bool:
		""""""
		...

	def VerifyRequestedRegion(self) -> bool:
		""""""
		...

	def CopyInformation(self, arg0) -> None:
		""""""
		...

	def SetRequestedRegion(self, arg0) -> None:
		""""""
		...

	def Graft(self, arg0) -> None:
		""""""
		...

